// @topic T11752 2D Graphics demo 04 -- controller and subject added
// @brief interface <tt>ISubject</tt> -- base interface for all simulation subjects

package shopsimulation;

import java.awt.Graphics2D;

public interface ISubject {
    void draw( Graphics2D gr2d );
    void move( int incrementX, int incrementY );
    void setVisible( boolean flagVisible );
}
